Public Member Functions | List of all members
HanMacWrdJGraphInternal::SeparatorFrame Struct Reference

Internal: a footnote separator of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::SeparatorFrame:

## Public Member Functions
| SeparatorFrame (Frame const &orig)
| constructor More...
virtual | ~SeparatorFrame ()
| destructor More...
virtual bool | valid () const
| returns true if the frame data are read More...
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Additional Inherited Members
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: a footnote separator of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ SeparatorFrame()

HanMacWrdJGraphInternal::SeparatorFrame::SeparatorFrame | ( | Frame const & | orig | ) |
| inline explicit

constructor

## ◆ ~SeparatorFrame()

HanMacWrdJGraphInternal::SeparatorFrame::~SeparatorFrame | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ valid()

virtual bool HanMacWrdJGraphInternal::SeparatorFrame::valid | ( |  | ) | const
| inline virtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx